Please Note: We are no longer using forums to facilitate standard support. All support issues will be handled via email using our support ticket system. For more detailed information on this change, please see this blog post.

Forms not displaying - 'Oops! We could not locate your form.'

  1. WP: 3.2.1
    Gravity Forms: 1.6
    PHP: 5.2.17
    MySQL: 5.1.56

    Having an 'Oops! We could not locate your form.' message displaying on any form inserted on a page. The site was moved from its development site to live BEFORE installing gravity forms. Previously had Contact Form 7 installed on the site, but removed it before installing Gravity forms.

    Had a look through the forum, and installed the 'Meta Recovery' plugin just in-case it was a problem with the database, with no luck, the error still appears.

    Any ideas?



    Posted 4 years ago on Wednesday November 2, 2011 | Permalink
  2. If the site was moved from development for live BEFORE you installed Gravity Forms, then Gravity Forms does not know at all about the other server, so migration should not be an issue.

    There should be no problem with having CForm 7 installed.

    You should not need to meta recovery tool (see item 1 here.)

    Can you edit and create new forms? Does the form preview work? The issue is only when trying to insert the form into a page or post, using the toolbar button?

    Posted 4 years ago on Wednesday November 2, 2011 | Permalink
  3. Yes, everything in the back end works fine. I can create, edit, and preview forms.

    I've just tested adding a form through manually adding the shortcode and it worked. So the issue is only when the form is added through the toolbar button.

    Posted 4 years ago on Wednesday November 2, 2011 | Permalink
  4. The button relies on JavaScript, so you might have a plugin (or less likely, theme) conflict. Please try a different browser, to ensure there is cached JavaScript fouling things up. If that does not help, please test for theme and plugin conflicts by following this:

    It's also possible the database tables were not created correctly. Can you check the database with a tool like phpMyAdmin or command line access, and get a list of the tables? We can see if any are missing.

    Posted 4 years ago on Thursday November 3, 2011 | Permalink
  5. i had this problem, tried plugin and theme conflicts and didn't work. Deleted all Gravity plugins (after exporting data) and reinstalled. Worked!

    Posted 4 years ago on Friday November 11, 2011 | Permalink
  6. Thank you for sharing your experience. Glad that worked for you.

    Posted 4 years ago on Saturday November 12, 2011 | Permalink
  7. Hi, I know what the issue is and thought I'd share.

    The issue is that some Wordpress editor plugins, such as "Dean's FCKEditor For Wordpress" which we use here, replaces quotes (") in the HTML with the HTML code for quotes (.&.q.u.o.t.; remove the . 's) thus breaking the insert feature. The only way to insert a form when having a custom editor installed is by manually copying and pasting the short-code into the HTML editing section in the editor.

    Obviously this is just a workaround, and won't work for many people who aren't particularly 'tech-savey' so maybe something to have a think about.

    A more permanent solution would be appreciated!

    Posted 3 years ago on Tuesday December 6, 2011 | Permalink
  8. Unfortunately if another plugin is manipulating and changing the code we try to insert into the page or post, the only permanent solution is for these other plugins to not do this.

    In this particular instance due to the way that functionality works we can't prevent it from happening. You would either need to change the offending plugin, not use the offending plugin, or manually insert the shortcode.

    We can't prevent plugins or themes from causing conflicts due to the nature of PHP and WordPress. All we can do is try and minimize it where possible and stick to best practices ourselves and hope other developers start doing the same.

    Posted 3 years ago on Tuesday December 6, 2011 | Permalink
  9. I understand that you can't provide support for an issue with conflicting plugin functionality, but surely, you can implement some code that recognizes &q.u.o.t; (remove the .'s) as the same as the literal quote ".

    Perhaps something like preg_replace('/&q.u.o.t;/', '"', $var) might work? It would be a huge help to both us and other users and should be pretty safe shouldn't it?

    Posted 3 years ago on Wednesday December 14, 2011 | Permalink


Support Tickets

Open A New Support Ticket
 Open A New Priority Support Ticket *

* Developer license holders only